<?php

declare(strict_types=1);

namespace Mm\Fieldtrials\Controller;


/**
 * This file is part of the "Field Trials DB" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2023 Andreas Jud <ajud@millemedia.de>, Millemedia GmbH
 */

/**
 * FieldTrialController
 */
class FieldTrialController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

    /**
     * fieldTrialRepository
     *
     * @var \Mm\Fieldtrials\Domain\Repository\FieldTrialRepository
     */
    protected $fieldTrialRepository = null;

    /**
     * @param \Mm\Fieldtrials\Domain\Repository\FieldTrialRepository $fieldTrialRepository
     */
    public function injectFieldTrialRepository(\Mm\Fieldtrials\Domain\Repository\FieldTrialRepository $fieldTrialRepository)
    {
        $this->fieldTrialRepository = $fieldTrialRepository;
    }

    /**
     * action list
     *
     * @return \Psr\Http\Message\ResponseInterface
     */
    public function listAction(): \Psr\Http\Message\ResponseInterface
    {
        $fieldTrials = $this->fieldTrialRepository->findAll();
        $this->view->assign('fieldTrials', $fieldTrials);
        return $this->htmlResponse();
    }
}
