<?php

declare(strict_types=1);

namespace Mm\Fieldtrials\Controller;


/**
 * This file is part of the "Field Trials DB" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2023 Andreas Jud <ajud@millemedia.de>, Millemedia GmbH
 */

/**
 * ProductController
 */
class ProductController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

    /**
     * productRepository
     *
     * @var \Mm\Fieldtrials\Domain\Repository\ProductRepository
     */
    protected $productRepository = null;

    /**
     * @param \Mm\Fieldtrials\Domain\Repository\ProductRepository $productRepository
     */
    public function injectProductRepository(\Mm\Fieldtrials\Domain\Repository\ProductRepository $productRepository)
    {
        $this->productRepository = $productRepository;
    }

    /**
     * action list
     *
     * @return \Psr\Http\Message\ResponseInterface
     */
    public function listAction(): \Psr\Http\Message\ResponseInterface
    {
        $products = $this->productRepository->findAll();
        $this->view->assign('products', $products);
        return $this->htmlResponse();
    }
}
