<?php

declare(strict_types=1);

namespace Mm\Fieldtrials\Domain\Model;


/**
 * This file is part of the "Field Trials DB" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2023 Andreas Jud <ajud@millemedia.de>, Millemedia GmbH
 */

/**
 * KeyTakeaways
 */
class KeyTakeaways extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * hide
     *
     * @var bool
     */
    protected $hide = null;

    /**
     * headline
     *
     * @var string
     */
    protected $headline = null;

    /**
     * subline
     *
     * @var string
     */
    protected $subline = null;

    /**
     * description
     *
     * @var string
     */
    protected $description = null;

    /**
     * media
     *
     * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
     * @TYPO3\CMS\Extbase\Annotation\ORM\Cascade("remove")
     */
    protected $media = null;

    /**
     * Returns the hide
     *
     * @return bool
     */
    public function getHide()
    {
        return $this->hide;
    }

    /**
     * Sets the hide
     *
     * @param bool $hide
     * @return void
     */
    public function setHide(bool $hide)
    {
        $this->hide = $hide;
    }

    /**
     * Returns the boolean state of hide
     *
     * @return bool
     */
    public function isHide()
    {
        return $this->hide;
    }

    /**
     * Returns the headline
     *
     * @return string
     */
    public function getHeadline()
    {
        return $this->headline;
    }

    /**
     * Sets the headline
     *
     * @param string $headline
     * @return void
     */
    public function setHeadline(string $headline)
    {
        $this->headline = $headline;
    }

    /**
     * Returns the subline
     *
     * @return string
     */
    public function getSubline()
    {
        return $this->subline;
    }

    /**
     * Sets the subline
     *
     * @param string $subline
     * @return void
     */
    public function setSubline(string $subline)
    {
        $this->subline = $subline;
    }

    /**
     * Returns the description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Sets the description
     *
     * @param string $description
     * @return void
     */
    public function setDescription(string $description)
    {
        $this->description = $description;
    }

    /**
     * Returns the media
     *
     * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference
     */
    public function getMedia()
    {
        return $this->media;
    }

    /**
     * Sets the media
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $media
     * @return void
     */
    public function setMedia(\TYPO3\CMS\Extbase\Domain\Model\FileReference $media)
    {
        $this->media = $media;
    }
}
