<?php

declare(strict_types=1);

namespace Mm\Fieldtrials\Domain\Model;


/**
 * This file is part of the "Field Trials DB" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2023 Andreas Jud <ajud@millemedia.de>, Millemedia GmbH
 */

/**
 * Treatment
 */
class Treatment extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * hide
     *
     * @var bool
     */
    protected $hide = null;

    /**
     * headline
     *
     * @var string
     */
    protected $headline = null;

    /**
     * description
     *
     * @var string
     */
    protected $description = null;

    /**
     * Returns the hide
     *
     * @return bool
     */
    public function getHide()
    {
        return $this->hide;
    }

    /**
     * Sets the hide
     *
     * @param bool $hide
     * @return void
     */
    public function setHide(bool $hide)
    {
        $this->hide = $hide;
    }

    /**
     * Returns the boolean state of hide
     *
     * @return bool
     */
    public function isHide()
    {
        return $this->hide;
    }

    /**
     * Returns the headline
     *
     * @return string
     */
    public function getHeadline()
    {
        return $this->headline;
    }

    /**
     * Sets the headline
     *
     * @param string $headline
     * @return void
     */
    public function setHeadline(string $headline)
    {
        $this->headline = $headline;
    }

    /**
     * Returns the description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Sets the description
     *
     * @param string $description
     * @return void
     */
    public function setDescription(string $description)
    {
        $this->description = $description;
    }
}
