<?php

declare(strict_types=1);

namespace Mm\Fieldtrials\Tests\Unit\Controller;

use PHPUnit\Framework\MockObject\MockObject;
use TYPO3\TestingFramework\Core\AccessibleObjectInterface;
use TYPO3\TestingFramework\Core\Unit\UnitTestCase;
use TYPO3Fluid\Fluid\View\ViewInterface;

/**
 * Test case
 *
 * @author Andreas Jud <ajud@millemedia.de>
 */
class ResultControllerTest extends UnitTestCase
{
    /**
     * @var \Mm\Fieldtrials\Controller\ResultController|MockObject|AccessibleObjectInterface
     */
    protected $subject;

    protected function setUp(): void
    {
        parent::setUp();
        $this->subject = $this->getMockBuilder($this->buildAccessibleProxy(\Mm\Fieldtrials\Controller\ResultController::class))
            ->onlyMethods(['redirect', 'forward', 'addFlashMessage'])
            ->disableOriginalConstructor()
            ->getMock();
    }

    protected function tearDown(): void
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function listActionFetchesAllResultsFromRepositoryAndAssignsThemToView(): void
    {
        $allResults = $this->getMockBuilder(\TYPO3\CMS\Extbase\Persistence\ObjectStorage::class)
            ->disableOriginalConstructor()
            ->getMock();

        $resultRepository = $this->getMockBuilder(\Mm\Fieldtrials\Domain\Repository\ResultRepository::class)
            ->onlyMethods(['findAll'])
            ->disableOriginalConstructor()
            ->getMock();
        $resultRepository->expects(self::once())->method('findAll')->will(self::returnValue($allResults));
        $this->subject->_set('resultRepository', $resultRepository);

        $view = $this->getMockBuilder(ViewInterface::class)->getMock();
        $view->expects(self::once())->method('assign')->with('results', $allResults);
        $this->subject->_set('view', $view);

        $this->subject->listAction();
    }
}
