<?php

declare(strict_types=1);

namespace Mm\Fieldtrials\Tests\Unit\Domain\Model;

use PHPUnit\Framework\MockObject\MockObject;
use TYPO3\TestingFramework\Core\AccessibleObjectInterface;
use TYPO3\TestingFramework\Core\Unit\UnitTestCase;

/**
 * Test case
 *
 * @author Andreas Jud <ajud@millemedia.de>
 */
class TreatmentTest extends UnitTestCase
{
    /**
     * @var \Mm\Fieldtrials\Domain\Model\Treatment|MockObject|AccessibleObjectInterface
     */
    protected $subject;

    protected function setUp(): void
    {
        parent::setUp();

        $this->subject = $this->getAccessibleMock(
            \Mm\Fieldtrials\Domain\Model\Treatment::class,
            ['dummy']
        );
    }

    protected function tearDown(): void
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function getHideReturnsInitialValueForBool(): void
    {
        self::assertFalse($this->subject->getHide());
    }

    /**
     * @test
     */
    public function setHideForBoolSetsHide(): void
    {
        $this->subject->setHide(true);

        self::assertEquals(true, $this->subject->_get('hide'));
    }

    /**
     * @test
     */
    public function getHeadlineReturnsInitialValueForString(): void
    {
        self::assertSame(
            '',
            $this->subject->getHeadline()
        );
    }

    /**
     * @test
     */
    public function setHeadlineForStringSetsHeadline(): void
    {
        $this->subject->setHeadline('Conceived at T3CON10');

        self::assertEquals('Conceived at T3CON10', $this->subject->_get('headline'));
    }

    /**
     * @test
     */
    public function getDescriptionReturnsInitialValueForString(): void
    {
        self::assertSame(
            '',
            $this->subject->getDescription()
        );
    }

    /**
     * @test
     */
    public function setDescriptionForStringSetsDescription(): void
    {
        $this->subject->setDescription('Conceived at T3CON10');

        self::assertEquals('Conceived at T3CON10', $this->subject->_get('description'));
    }
}
