
// Scroll anchor - Main.html
function t3sbScrollToAnchor(sectionmenuAnchorOffset, fixedNavbar, navbarHeight, sectionhash=false) {
	var hash = window.location.hash;
	if (sectionhash) {
		hash = sectionhash;
	}
	if (hash.length) {
		var idArr = hash.split('#');
		var targetElement = document.getElementById(idArr[1]);
		if ( targetElement === null ) {
			idArr = hash.split('#c');
			targetElement = document.getElementById('tab-'+idArr[1]);
		}
		if ( targetElement != null ) {
			var	offsetSize = sectionmenuAnchorOffset;
			if ( fixedNavbar ) {
				offsetSize += navbarHeight;
			}
			var scrollTo = Math.round(t3sbOffsetTop(targetElement)-offsetSize);
			window.scroll({ top: scrollTo, behavior: 'smooth' });
		}
	}
}

function t3sbOffsetTop(el) {
	var rect = el.getBoundingClientRect(),
		scrollTop = window.pageYOffset || document.documentElement.scrollTop;
		return rect.top + scrollTop;
}



// Link to top - Main.html
function t3sbScrollToTop() {
	document.addEventListener('scroll', t3sbHandleScroll);
}

function t3sbHandleScroll() {
	var scrollToTopBtn = document.querySelector('.back-to-top'),
		scrollTop = window.pageYOffset || document.documentElement.scrollTop;
	if (scrollToTopBtn != null) {
		scrollToTopBtn.addEventListener('click', t3sbScrollIt);
		if (scrollTop > 100) {
			scrollToTopBtn.classList.add('st-block');
			scrollToTopBtn.classList.remove('st-none');
		} else {
			scrollToTopBtn.classList.add('st-none');
			scrollToTopBtn.classList.remove('st-block');
		}
	}
}

function t3sbScrollIt(e) {
	e.preventDefault();
	window.scroll({ top: 0, behavior: 'smooth' });
}
	


// Offcanvas - Navbar/Assets.html
function t3sbOffcanvas(vw, bp, utilColorArr) {
	var navbarToggler = document.getElementById('navbarToggler');
	if ( vw > bp ) {
		navbarToggler.classList.remove(utilColorArr[0]);
		navbarToggler.classList.remove(utilColorArr[1]);
	} else {
		navbarToggler.classList.add(utilColorArr[0]);
		navbarToggler.classList.add(utilColorArr[1]);
	}
	let extraRow = document.querySelector('.navbar .extra-row');
	if (extraRow) {
		if ( vw < bp ) {
			extraRow.classList.add('ms-3');
		} else {
			extraRow.classList.remove('ms-3');
		}
	}
}
	


function ready(fn) {
	if (document.readyState != 'loading'){
fn();
	} else {
document.addEventListener('DOMContentLoaded', fn);
	}
}
ready(() => {
	// Default - Main.html
	const navbar = document.getElementById('main-navbar'),
		  navbarHeight = navbar.clientHeight,
		  navbarBreakpointWidth = document.body.getAttribute('data-navbar-breakpointwidth'),
		  viewportWidth = parseFloat(getComputedStyle(document.querySelector('html'), null).width.replace("px", "")),
		  onePageLayout = navbar.classList.contains('sectionMenu');

	var fixedNavbar = false;

	if ( navbar.classList.contains('fixed-top') || navbar.classList.contains('sticky-top') ) {
		fixedNavbar = true;
	}

	// Scroll anchor - Main.html
	if (window.location.hash) {
		t3sbScrollToAnchor(29, fixedNavbar, navbarHeight);
	}
		

	// Link to top - Main.html
	t3sbScrollToTop();


	// Offcanvas - Navbar/Assets.html
	var navbarBreakpoint = document.body.getAttribute('data-navbar-breakpoint');
	var navbarBPWidth = navbarBreakpointWidth,
		utilColor = 'bg-light',
		utilColorArr = utilColor.split(' ');
	if (navbarBreakpoint == 'no') {
		navbarBPWidth = 99999;
	}
	t3sbOffcanvas(viewportWidth, navbarBPWidth, utilColorArr);
	window.addEventListener('resize', function(event) {	
		resizedViewportWidth = parseFloat(getComputedStyle(document.querySelector('html'), null).width.replace("px", ""));
		t3sbOffcanvas(resizedViewportWidth, navbarBPWidth, utilColorArr);
	}, true);


	init_diamondAnimation();

function init_diamondAnimation()
{
    for(let i = 0; i < 8; i++)
      {
        let positionY = random_int(500,document.body.scrollHeight),
            positionX = random_int(0,15),
            diamond = createDiamond();
        
        diamond.style.position = 'absolute';
        diamond.style.left = positionX;
        diamond.style.top = positionY;
        
        document.body.appendChild(diamond);
        
      }
}

// Random_int
function random_int( min, max ){
    if( max ) {
        return Math.floor( Math.random() * ( max - 1 ) ) + min;
    } else {
        return Math.floor( Math.random() * ( min + 1 ) );
    }
}
// Random_int END
function createDiamond()
{
  let diamond = document.createElement('svg');

  // Define
  diamond.setAttribute('xmlns', 'http://www.w3.org/2000/svg');
  diamond.setAttribute('width', '160');
  diamond.setAttribute('height', '101');
  diamond.setAttribute('viewBox', '0 0 160 101');
  diamond.setAttribute('fill', 'none');
  diamond.innerHTML = `
    <g clip-path="url(#clip0_1688_1205)">
      <path d="M87.4672 -3.82618e-06L175 50.5328L87.4672 101L-0.065615 50.5328L87.4672 -3.82618e-06Z" fill="#F6635D"/>
      <path d="M87.4672 -3.82618e-06L175 50.5328L87.4672 101L-0.065615 50.5328L87.4672 -3.82618e-06Z" fill="#F6635D"/>
    </g>
    <defs>
      <clipPath id="clip0_1688_1205">
        <rect width="101" height="175" fill="white" transform="translate(175) rotate(90)"/>
      </clipPath>
    </defs>`;
  
  return diamond;
}


			
});
